/// Arrow export supports exactly one requested channel.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ArrowRequiresSingleChannel {
    #[serde(rename = "channelCount")]
    channel_count: i32,
}
impl ArrowRequiresSingleChannel {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(channel_count: i32) -> Self {
        Self::builder().channel_count(channel_count).build()
    }
    #[inline]
    pub fn channel_count(&self) -> i32 {
        self.channel_count
    }
}
impl conjure_error::ErrorType for ArrowRequiresSingleChannel {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Export:ArrowRequiresSingleChannel"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["channelCount"]
    }
}
